## org.eclipse.emf.ocl.expressions
Interface LoopExp

All Superinterfaces:
  ASTNode, CallExp, CallingASTNode, EModelElement, ENamedElement, EObject, Notifier, OCLExpression, TypedElement, Visitable

All Known Subinterfaces:
  IterateExp, IteratorExp

All Known Implementing Classes:
  IterateExpImpl, IteratorExpImpl, LoopExpImpl

Deprecated. Use the `LoopExp` interface, instead.

    @Deprecated
    public interface LoopExp

extends CallExp

Field Summary
`static String` `copyright` Deprecated.

Method Summary
`OCLExpression` `getBody()` Deprecated.
`EList` `getIterator()` Deprecated. Returns the value of the 'Iterator' containment reference list.
`void` `setBody(OCLExpression value)` Deprecated. Sets the value of the '`Body`' containment reference

Methods inherited from interface org.eclipse.emf.ocl.expressions.CallExp
`getSource, setSource`

Methods inherited from interface org.eclipse.emf.ocl.uml.TypedElement
`getType, setType`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ocl.utilities.CallingASTNode
`getPropertyEndPosition, getPropertyStartPosition, setPropertyEndPosition, setPropertyStartPosition`

Methods inherited from interface org.eclipse.emf.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

Method Detail

### getBody

    OCLExpression getBody()

  Deprecated.

### setBody

    void setBody(OCLExpression value)

  Deprecated.
  Sets the value of the '`Body`' containment reference.

  Parameters:
    `value` - the new value of the 'Body' containment reference.
  See Also:
    `getBody()`

### getIterator

    EList getIterator()

  Deprecated.
  Returns the value of the 'Iterator' containment reference list. The list contents are of type `Variable`.

  If the meaning of the 'Iterator' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Iterator' containment reference list.
  See Also:
    `ExpressionsPackage.getLoopExp_Iterator()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.